Package relaxngcc.grammar

# Class DataPattern

java.lang.Object
relaxngcc.grammar.Pattern
relaxngcc.grammar.DataPattern

public class DataPattern extends Pattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`alias`
`final Locator`
`locator`
`final Datatype`
`type`

## Constructor Summary

Constructors
Constructor
Description
`DataPattern(ParserRuntime rt, Locator loc, Datatype type_, String alias_)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`apply(PatternFunction f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### type

public final Datatype type

### alias

public final String alias

### locator

public final Locator locator

## Constructor Details

### DataPattern

public DataPattern(ParserRuntime rt, Locator loc, Datatype type_, String alias_)

## Method Details

### apply

public Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`